package com.itjob.service;

import java.util.List;

import com.itjob.dao.model.CallBarring;

/**
 * 黑/白名单设置的业务逻辑接口类.
 */
public interface CallBarringManager {
	public List getCallBarringList(String userNumber, int limitType) throws Exception;
	public void insertCallBarring(CallBarring callBarring) throws Exception;
	public CallBarring getCallBarring(long id) throws Exception;
	public void updateCallBarring(CallBarring callBarring) throws Exception;
	public void deleteCallBarring(String[] idArray) throws Exception;
	public int validLimitPhone(String userNumber, String limitPhone) throws Exception;
}
